| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_rose_ctx_t Struct Reference

Context object carrying per-association state for ROSE (Remote Operations Service Element) dissection. More...

`#include <asn1.h>`

## Public Attributes
uint32_t | signature
dissector_table_t | arg_global_dissector_table
dissector_table_t | arg_local_dissector_table
dissector_table_t | res_global_dissector_table
dissector_table_t | res_local_dissector_table
dissector_table_t | err_global_dissector_table
dissector_table_t | err_local_dissector_table
int | apdu_depth
bool | fillin_info
char * | fillin_ptr
size_t | fillin_buf_size
struct { |
int pdu |
int code |
int32_t code_local |
const char * code_global |
proto_item * code_item |
} | d
| Transient per-APDU state, refreshed for each ROSE PDU decoded.
void * | private_data

## Detailed Description

Context object carrying per-association state for ROSE (Remote Operations Service Element) dissection.

Holds per-direction dissector tables for argument, result, and error PDUs, plus transient per-APDU working state accumulated as each ROSE operation is decoded.

## Member Data Documentation

## ◆ apdu_depth

int _rose_ctx_t::apdu_depth

Current nesting depth of ROSE APDUs being decoded.

## ◆ arg_global_dissector_table

dissector_table_t _rose_ctx_t::arg_global_dissector_table

Global dissector table for ROSE operation argument PDUs.

## ◆ arg_local_dissector_table

dissector_table_t _rose_ctx_t::arg_local_dissector_table

Local dissector table for ROSE operation argument PDUs.

## ◆ code

int _rose_ctx_t::code

Operation/error code form: -1 = none (optional in ReturnResult), 0 = local, 1 = global.

## ◆ code_global

const char* _rose_ctx_t::code_global

Global (OID string) operation or error code (when `code` == 1), or NULL.

## ◆ code_item

proto_item* _rose_ctx_t::code_item

Protocol tree item representing the operation/error code field, for post-hoc annotation.

## ◆ code_local

int32_t _rose_ctx_t::code_local

Local (integer) operation or error code (when `code` == 0).

## ◆ err_global_dissector_table

dissector_table_t _rose_ctx_t::err_global_dissector_table

Global dissector table for ROSE error PDUs.

## ◆ err_local_dissector_table

dissector_table_t _rose_ctx_t::err_local_dissector_table

Local dissector table for ROSE error PDUs.

## ◆ fillin_buf_size

size_t _rose_ctx_t::fillin_buf_size

Remaining capacity in bytes at `fillin_ptr`.

## ◆ fillin_info

bool _rose_ctx_t::fillin_info

True if descriptive text should be written into the Info column or a buffer.

## ◆ fillin_ptr

char* _rose_ctx_t::fillin_ptr

Pointer into `fillin_buf` at the next write position.

## ◆ pdu

int _rose_ctx_t::pdu

ROSE PDU type: 1 = invoke, 2 = returnResult, 3 = returnError, 4 = reject.

## ◆ private_data

void* _rose_ctx_t::private_data

Opaque pointer reserved for per-dissector private state.

## ◆ res_global_dissector_table

dissector_table_t _rose_ctx_t::res_global_dissector_table

Global dissector table for ROSE result PDUs.

## ◆ res_local_dissector_table

dissector_table_t _rose_ctx_t::res_local_dissector_table

Local dissector table for ROSE result PDUs.

## ◆ signature

uint32_t _rose_ctx_t::signature

Must equal ROSE_CTX_SIGNATURE; guards against stale pointers.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/asn1.h